Subject: Re: bug#38367: 26.3; Cannot start Emacs with -nw option, starting with Emacs 26.1

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Dec 2019 05:35:15 +0200

> From: Tomas Nordin <[email-masked]>
> Date: Sat, 07 Dec 2019 19:22:38 +0100
> Cc: [email-masked]
> 
> >   + emacs.exe - The main Emacs executable.  As this is designed to run
> >     as both a text-mode application (emacs -nw) and as a GUI application,
> >     it will pop up a command prompt window if run directly from Explorer.
> >
> >   + runemacs.exe - A wrapper for running Emacs as a GUI application
> >     without popping up a command prompt window.  If you create a
> >     desktop shortcut for invoking Emacs, make it point to this
> >     executable, not to emacs.exe.
> 
> Which is to the point and just fine, isn't it? Possibly consider
> changing "text-mode" to "command prompt"

That loses information, since the -nw switch does make the session
text-mode, unlike other invocations from the command prompt.